/**
 * Cette méthode a pour but de modifier l'état des checkbox de la page ayant pour id "update". Cette nouvelle valeur est
 * la même que la valeur de la check_box entré en paramètre.
 *
 * @param check_box_principal la check_box qui va donner sa valeur à toutes les autres.
 */
function check_toutes_les_autres(check_box_principal) {
    console.log(check_box_principal.checked)
    document.querySelectorAll('#update').forEach(check_box => check_box.checked = check_box_principal.checked)
}